<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-searchbar mode="ios" placeholder="Search item" debounce="500" (ionChange)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list *ngIf="items">
    <ion-item button="true" *ngFor="let item of items" (click)="select(item)">
      <ion-label>
        <h2 class="no-wrap">{{item.Name}}</h2>
        <p *ngIf="item.CustomerMinimumQty">Min Qty: {{item.CustomerMinimumQty}}</p>
        <p *ngIf="item.CustomerPrice">Price: {{item.CustomerPrice | currency: ' '}}</p>
      </ion-label>
      <p slot="end">{{item.DefaultRetailPrice | currency: ' '}}</p>
      <ion-icon name="checkmark-circle-outline" mode="ios" color="primary" slot="end" size="small" *ngIf="isSelected(item.ID)"></ion-icon>
    </ion-item>
  </ion-list>

  <ion-list *ngIf="!items">
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>